<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>MAPIMessage (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MAPIMessage (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/MAPIMessage.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../org/apache/poi/hsmf/MAPIMessage.MESSAGE_CLASS.html"
               title="enum in org.apache.poi.hsmf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hsmf/MAPIMessage.html" target="_top">Frames</a></li>
        <li><a href="MAPIMessage.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hsmf</div>
    <h2 title="Class MAPIMessage" class="title">Class MAPIMessage</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../org/apache/poi/POIDocument.html" title="class in org.apache.poi">org.apache.poi.POIDocument</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../org/apache/poi/POIReadOnlyDocument.html"
                               title="class in org.apache.poi">org.apache.poi.POIReadOnlyDocument</a></li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hsmf.MAPIMessage</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">MAPIMessage</span>
extends <a href="../../../../org/apache/poi/POIReadOnlyDocument.html" title="class in org.apache.poi">POIReadOnlyDocument</a></pre>
                <div class="block">Reads an Outlook MSG File in and provides hooks into its data structure.

                    If you want to develop with HSMF, you might find it worth getting
                    some of the Microsoft public documentation, such as:

                    [MS-OXCMSG]: Message and Attachment Object Protocol Specification
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.MESSAGE_CLASS.html"
                                        title="enum in org.apache.poi.hsmf">MAPIMessage.MESSAGE_CLASS</a></span></code>
                                    <div class="block">A MAPI file can be an email (NOTE) or a number of other types
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#MAPIMessage--">MAPIMessage</a></span>()</code>
                                    <div class="block">Constructor for creating new files.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#MAPIMessage-org.apache.poi.poifs.filesystem.DirectoryNode-">MAPIMessage</a></span>(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;poifsDir)</code>
                                    <div class="block">Constructor for reading MSG Files from a certain
                                        point within a POIFS filesystem
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#MAPIMessage-java.io.File-">MAPIMessage</a></span>(java.io.File&nbsp;file)</code>
                                    <div class="block">Constructor for reading MSG Files from the file system.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#MAPIMessage-java.io.InputStream-">MAPIMessage</a></span>(java.io.InputStream&nbsp;in)</code>
                                    <div class="block">Constructor for reading MSG Files from an input stream.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#MAPIMessage-org.apache.poi.poifs.filesystem.POIFSFileSystem-">MAPIMessage</a></span>(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>
                                    <div class="block">Constructor for reading MSG Files from a POIFS filesystem</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#MAPIMessage-java.lang.String-">MAPIMessage</a></span>(java.lang.String&nbsp;filename)</code>
                                    <div class="block">Constructor for reading MSG Files from the file system.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html"
                                        title="class in org.apache.poi.hsmf.datatypes">AttachmentChunks</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getAttachmentFiles--">getAttachmentFiles</a></span>()</code>
                                    <div class="block">Gets the message attachments.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getConversationTopic--">getConversationTopic</a></span>()</code>
                                    <div class="block">Gets the conversation topic of the parsed Outlook Message.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayBCC--">getDisplayBCC</a></span>()</code>
                                    <div class="block">Gets the display value of the "BCC" line of the outlook
                                        message.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayCC--">getDisplayCC</a></span>()</code>
                                    <div class="block">Gets the display value of the "CC" line of the outlook message.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayFrom--">getDisplayFrom</a></span>()</code>
                                    <div class="block">Gets the display value of the "FROM" line of the outlook message
                                        This is not the actual address that was sent from but the formated display of
                                        the user name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayTo--">getDisplayTo</a></span>()</code>
                                    <div class="block">Gets the display value of the "TO" line of the outlook message.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getHeaders--">getHeaders</a></span>()</code>
                                    <div class="block">Returns all the headers, one entry per line</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getHtmlBody--">getHtmlBody</a></span>()</code>
                                    <div class="block">Gets the html body of this Outlook Message, if this email
                                        contains a html version.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hsmf/datatypes/Chunks.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunks</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getMainChunks--">getMainChunks</a></span>()</code>
                                    <div class="block">Gets the main, core details chunks</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.MESSAGE_CLASS.html"
                                        title="enum in org.apache.poi.hsmf">MAPIMessage.MESSAGE_CLASS</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getMessageClassEnum--">getMessageClassEnum</a></span>()</code>
                                    <div class="block">Gets the message class of the parsed Outlook Message.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.util.Calendar</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getMessageDate--">getMessageDate</a></span>()</code>
                                    <div class="block">Gets the date that the message was accepted by the
                                        server on.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hsmf/datatypes/NameIdChunks.html"
                                        title="class in org.apache.poi.hsmf.datatypes">NameIdChunks</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getNameIdChunks--">getNameIdChunks</a></span>()</code>
                                    <div class="block">Gets the Name ID chunks, or
                                        null if there aren't any
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html"
                                        title="class in org.apache.poi.hsmf.datatypes">RecipientChunks</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getRecipientDetailsChunks--">getRecipientDetailsChunks</a></span>()</code>
                                    <div class="block">Gets all the recipient details chunks.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getRecipientEmailAddress--">getRecipientEmailAddress</a></span>()</code>
                                    <div class="block">Returns all the recipients' email address, separated by
                                        semicolons.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>java.lang.String[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getRecipientEmailAddressList--">getRecipientEmailAddressList</a></span>()</code>
                                    <div class="block">Returns an array of all the recipient's email address, normally
                                        in TO then CC then BCC order.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getRecipientNames--">getRecipientNames</a></span>()</code>
                                    <div class="block">Returns all the recipients' names, separated by
                                        semicolons.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>java.lang.String[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getRecipientNamesList--">getRecipientNamesList</a></span>()</code>
                                    <div class="block">Returns an array of all the recipient's names, normally
                                        in TO then CC then BCC order.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getRtfBody--">getRtfBody</a></span>()</code>
                                    <div class="block">Gets the RTF Rich Message body of this Outlook Message, if this
                                        email
                                        contains a RTF (rich) version.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getStringFromChunk-org.apache.poi.hsmf.datatypes.StringChunk-">getStringFromChunk</a></span>(<a
                                        href="../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;chunk)</code>
                                    <div class="block">Gets a string value based on the passed chunk.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getSubject--">getSubject</a></span>()</code>
                                    <div class="block">Gets the subject line of the Outlook Message</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getTextBody--">getTextBody</a></span>()</code>
                                    <div class="block">Gets the plain text body of this Outlook Message</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#guess7BitEncoding--">guess7BitEncoding</a></span>()</code>
                                    <div class="block">Tries to identify the correct encoding for 7-bit (non-unicode)
                                        strings in the file.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#has7BitEncodingStrings--">has7BitEncodingStrings</a></span>()</code>
                                    <div class="block">Does this file contain any strings that
                                        are stored as 7 bit rather than unicode?
                                    </div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#isReturnNullOnMissingChunk--">isReturnNullOnMissingChunk</a></span>()</code>
                                    <div class="block">Will you get a null on a missing chunk, or a
                                        <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                           title="class in org.apache.poi.hsmf.exceptions"><code>ChunkNotFoundException</code></a>
                                        (default is the
                                        exception).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#set7BitEncoding-java.lang.String-">set7BitEncoding</a></span>(java.lang.String&nbsp;charset)</code>
                                    <div class="block">Many messages store their strings as unicode, which is
                                        nice and easy.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.html#setReturnNullOnMissingChunk-boolean-">setReturnNullOnMissingChunk</a></span>(boolean&nbsp;returnNullOnMissingChunk)</code>
                                    <div class="block">Sets whether on asking for a missing chunk,
                                        you get back null or a <a
                                                href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                                title="class in org.apache.poi.hsmf.exceptions"><code>ChunkNotFoundException</code></a>
                                        (default is the exception).
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.POIReadOnlyDocument">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.<a
                                        href="../../../../org/apache/poi/POIReadOnlyDocument.html"
                                        title="class in org.apache.poi">POIReadOnlyDocument</a></h3>
                                <code><a href="../../../../org/apache/poi/POIReadOnlyDocument.html#write--">write</a>,
                                    <a href="../../../../org/apache/poi/POIReadOnlyDocument.html#write-java.io.File-">write</a>,
                                    <a href="../../../../org/apache/poi/POIReadOnlyDocument.html#write-java.io.OutputStream-">write</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.org.apache.poi.POIDocument">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.<a
                                        href="../../../../org/apache/poi/POIDocument.html"
                                        title="class in org.apache.poi">POIDocument</a></h3>
                                <code><a href="../../../../org/apache/poi/POIDocument.html#clearDirectory--">clearDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#close--">close</a>, <a
                                            href="../../../../org/apache/poi/POIDocument.html#createInformationProperties--">createInformationProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getDirectory--">getDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getDocumentSummaryInformation--">getDocumentSummaryInformation</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getEncryptedPropertyStreamName--">getEncryptedPropertyStreamName</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getEncryptionInfo--">getEncryptionInfo</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getPropertySet-java.lang.String-">getPropertySet</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getPropertySet-java.lang.String-org.apache.poi.poifs.crypt.EncryptionInfo-">getPropertySet</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#getSummaryInformation--">getSummaryInformation</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#initDirectory--">initDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#readProperties--">readProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#replaceDirectory-org.apache.poi.poifs.filesystem.DirectoryNode-">replaceDirectory</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#validateInPlaceWritePossible--">validateInPlaceWritePossible</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#writeProperties--">writeProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#writeProperties-org.apache.poi.poifs.filesystem.POIFSFileSystem-">writeProperties</a>,
                                    <a href="../../../../org/apache/poi/POIDocument.html#writeProperties-org.apache.poi.poifs.filesystem.POIFSFileSystem-java.util.List-">writeProperties</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="MAPIMessage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MAPIMessage</h4>
                                <pre>public&nbsp;MAPIMessage()</pre>
                                <div class="block">Constructor for creating new files.</div>
                            </li>
                        </ul>
                        <a name="MAPIMessage-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MAPIMessage</h4>
                                <pre>public&nbsp;MAPIMessage(java.lang.String&nbsp;filename)
            throws java.io.IOException</pre>
                                <div class="block">Constructor for reading MSG Files from the file system.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>filename</code> - Name of the file to read</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - on errors reading, or invalid data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="MAPIMessage-java.io.File-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MAPIMessage</h4>
                                <pre>public&nbsp;MAPIMessage(java.io.File&nbsp;file)
            throws java.io.IOException</pre>
                                <div class="block">Constructor for reading MSG Files from the file system.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>file</code> - The file to read from</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - on errors reading, or invalid data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="MAPIMessage-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MAPIMessage</h4>
                                <pre>public&nbsp;MAPIMessage(java.io.InputStream&nbsp;in)
            throws java.io.IOException</pre>
                                <div class="block">Constructor for reading MSG Files from an input stream.

                                    <p>Note - this will buffer the whole message into memory
                                        in order to process. For lower memory use, use <a
                                                href="../../../../org/apache/poi/hsmf/MAPIMessage.html#MAPIMessage-java.io.File-"><code>MAPIMessage(File)</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>in</code> - The InputStream to buffer then read from</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - on errors reading, or invalid data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="MAPIMessage-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MAPIMessage</h4>
                                <pre>public&nbsp;MAPIMessage(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)
            throws java.io.IOException</pre>
                                <div class="block">Constructor for reading MSG Files from a POIFS filesystem</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fs</code> - Open POIFS FileSystem containing the message</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - on errors reading, or invalid data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="MAPIMessage-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>MAPIMessage</h4>
                                <pre>public&nbsp;MAPIMessage(<a
                                        href="../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;poifsDir)
            throws java.io.IOException</pre>
                                <div class="block">Constructor for reading MSG Files from a certain
                                    point within a POIFS filesystem
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>poifsDir</code> - Directory containing the message</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - on errors reading, or invalid data</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getStringFromChunk-org.apache.poi.hsmf.datatypes.StringChunk-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStringFromChunk</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getStringFromChunk(<a
                                        href="../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a>&nbsp;chunk)
                                    throws <a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets a string value based on the passed chunk.</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                        - if the chunk isn't there
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextBody--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextBody</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getTextBody()
                             throws <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                       title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets the plain text body of this Outlook Message</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The string representation of the 'text' version of the body, if available.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                        - If the text-body chunk does not exist and
                                        returnNullOnMissingChunk is set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHtmlBody--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHtmlBody</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getHtmlBody()
                             throws <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                       title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets the html body of this Outlook Message, if this email
                                    contains a html version.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The string representation of the 'html' version of the body, if available.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                        - If the html-body chunk does not exist and
                                        returnNullOnMissingChunk is set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRtfBody--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRtfBody</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getRtfBody()
                            throws <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                      title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets the RTF Rich Message body of this Outlook Message, if this email
                                    contains a RTF (rich) version.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The string representation of the 'RTF' version of the body, if available.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                        - If the rtf-body chunk does not exist and
                                        returnNullOnMissingChunk is set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSubject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSubject</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSubject()
                            throws <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                      title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets the subject line of the Outlook Message</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                        - If the subject-chunk does not exist and
                                        returnNullOnMissingChunk is set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDisplayFrom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDisplayFrom</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getDisplayFrom()
                                throws <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                          title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets the display value of the "FROM" line of the outlook message
                                    This is not the actual address that was sent from but the formated display of the
                                    user name.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                        - If the from-chunk does not exist and
                                        returnNullOnMissingChunk is set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDisplayTo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDisplayTo</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getDisplayTo()
                              throws <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                        title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets the display value of the "TO" line of the outlook message.
                                    If there are multiple recipients, they will be separated
                                    by semicolons.
                                    This is not the actual list of addresses/values that will be
                                    sent to if you click Reply in the email - those are stored
                                    in <a href="../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html"
                                          title="class in org.apache.poi.hsmf.datatypes"><code>RecipientChunks</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                        - If the to-chunk does not exist and
                                        returnNullOnMissingChunk is set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDisplayCC--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDisplayCC</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getDisplayCC()
                              throws <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                        title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets the display value of the "CC" line of the outlook message.
                                    If there are multiple recipients, they will be separated
                                    by semicolons.
                                    This is not the actual list of addresses/values that will be
                                    sent to if you click Reply in the email - those are stored
                                    in <a href="../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html"
                                          title="class in org.apache.poi.hsmf.datatypes"><code>RecipientChunks</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                        - If the cc-chunk does not exist and
                                        returnNullOnMissingChunk is set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDisplayBCC--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDisplayBCC</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getDisplayBCC()
                               throws <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                         title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets the display value of the "BCC" line of the outlook message.
                                    If there are multiple recipients, they will be separated
                                    by semicolons.
                                    This is not the actual list of addresses/values that will be
                                    sent to if you click Reply in the email - those are stored
                                    in <a href="../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html"
                                          title="class in org.apache.poi.hsmf.datatypes"><code>RecipientChunks</code></a>.
                                    This will only be present in sent emails, not received ones!
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                        - If the bcc-chunk does not exist and
                                        returnNullOnMissingChunk is set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecipientEmailAddress--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecipientEmailAddress</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getRecipientEmailAddress()
                                          throws <a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Returns all the recipients' email address, separated by
                                    semicolons. Checks all the likely chunks in search of
                                    the addresses.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecipientEmailAddressList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecipientEmailAddressList</h4>
                                <pre>public&nbsp;java.lang.String[]&nbsp;getRecipientEmailAddressList()
                                                throws <a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Returns an array of all the recipient's email address, normally
                                    in TO then CC then BCC order.
                                    Checks all the likely chunks in search of the addresses.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecipientNames--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecipientNames</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getRecipientNames()
                                   throws <a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Returns all the recipients' names, separated by
                                    semicolons. Checks all the likely chunks in search of
                                    the names.
                                    See also <a
                                            href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayTo--"><code>getDisplayTo()</code></a>,
                                    <a href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayCC--"><code>getDisplayCC()</code></a>
                                    and
                                    <a href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayBCC--"><code>getDisplayBCC()</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecipientNamesList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecipientNamesList</h4>
                                <pre>public&nbsp;java.lang.String[]&nbsp;getRecipientNamesList()
                                         throws <a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Returns an array of all the recipient's names, normally
                                    in TO then CC then BCC order.
                                    Checks all the likely chunks in search of the names.
                                    See also <a
                                            href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayTo--"><code>getDisplayTo()</code></a>,
                                    <a href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayCC--"><code>getDisplayCC()</code></a>
                                    and
                                    <a href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayBCC--"><code>getDisplayBCC()</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="guess7BitEncoding--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>guess7BitEncoding</h4>
                                <pre>public&nbsp;void&nbsp;guess7BitEncoding()</pre>
                                <div class="block">Tries to identify the correct encoding for 7-bit (non-unicode)
                                    strings in the file.
                                    <p>Many messages store their strings as unicode, which is
                                        nice and easy. Some use one-byte encodings for their
                                        strings, but don't always store the encoding anywhere
                                        helpful in the file.</p>
                                    <p>This method checks for codepage properties, and failing that
                                        looks at the headers for the message, and uses these to
                                        guess the correct encoding for your file.</p>
                                    <p>Bug #49441 has more on why this is needed</p></div>
                            </li>
                        </ul>
                        <a name="set7BitEncoding-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>set7BitEncoding</h4>
                                <pre>public&nbsp;void&nbsp;set7BitEncoding(java.lang.String&nbsp;charset)</pre>
                                <div class="block">Many messages store their strings as unicode, which is
                                    nice and easy. Some use one-byte encodings for their
                                    strings, but don't easily store the encoding anywhere
                                    in the file!
                                    If you know what the encoding is of your file, you can
                                    use this method to set the 7 bit encoding for all
                                    the non unicode strings in the file.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../org/apache/poi/hsmf/MAPIMessage.html#guess7BitEncoding--"><code>guess7BitEncoding()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="has7BitEncodingStrings--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>has7BitEncodingStrings</h4>
                                <pre>public&nbsp;boolean&nbsp;has7BitEncodingStrings()</pre>
                                <div class="block">Does this file contain any strings that
                                    are stored as 7 bit rather than unicode?
                                </div>
                            </li>
                        </ul>
                        <a name="getHeaders--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeaders</h4>
                                <pre>public&nbsp;java.lang.String[]&nbsp;getHeaders()
                              throws <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                        title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Returns all the headers, one entry per line</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getConversationTopic--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getConversationTopic</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getConversationTopic()
                                      throws <a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets the conversation topic of the parsed Outlook Message.
                                    This is the part of the subject line that is after the RE: and FWD:
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                        - If the conversation-topic chunk does not exist and
                                        returnNullOnMissingChunk is set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMessageClassEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMessageClassEnum</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/hsmf/MAPIMessage.MESSAGE_CLASS.html"
                                        title="enum in org.apache.poi.hsmf">MAPIMessage.MESSAGE_CLASS</a>&nbsp;getMessageClassEnum()
                                              throws <a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets the message class of the parsed Outlook Message.
                                    (Yes, you can use this to determine if a message is a calendar
                                    item, note, or actual outlook Message)
                                    For emails the class will be IPM.Note
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                        - If the message-class chunk does not exist and
                                        returnNullOnMissingChunk is set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMessageDate--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMessageDate</h4>
                                <pre>public&nbsp;java.util.Calendar&nbsp;getMessageDate()
                                  throws <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></pre>
                                <div class="block">Gets the date that the message was accepted by the
                                    server on.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions">ChunkNotFoundException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMainChunks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMainChunks</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hsmf/datatypes/Chunks.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">Chunks</a>&nbsp;getMainChunks()</pre>
                                <div class="block">Gets the main, core details chunks</div>
                            </li>
                        </ul>
                        <a name="getRecipientDetailsChunks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecipientDetailsChunks</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html"
                                        title="class in org.apache.poi.hsmf.datatypes">RecipientChunks</a>[]&nbsp;getRecipientDetailsChunks()</pre>
                                <div class="block">Gets all the recipient details chunks.
                                    These will normally be in the order of:
                                    * TO recipients, in the order returned by <a
                                            href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayTo--"><code>getDisplayTo()</code></a>
                                    * CC recipients, in the order returned by <a
                                            href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayCC--"><code>getDisplayCC()</code></a>
                                    * BCC recipients, in the order returned by <a
                                            href="../../../../org/apache/poi/hsmf/MAPIMessage.html#getDisplayBCC--"><code>getDisplayBCC()</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="getNameIdChunks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNameIdChunks</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hsmf/datatypes/NameIdChunks.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">NameIdChunks</a>&nbsp;getNameIdChunks()</pre>
                                <div class="block">Gets the Name ID chunks, or
                                    null if there aren't any
                                </div>
                            </li>
                        </ul>
                        <a name="getAttachmentFiles--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAttachmentFiles</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/hsmf/datatypes/AttachmentChunks.html"
                                        title="class in org.apache.poi.hsmf.datatypes">AttachmentChunks</a>[]&nbsp;getAttachmentFiles()</pre>
                                <div class="block">Gets the message attachments.</div>
                            </li>
                        </ul>
                        <a name="isReturnNullOnMissingChunk--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isReturnNullOnMissingChunk</h4>
                                <pre>public&nbsp;boolean&nbsp;isReturnNullOnMissingChunk()</pre>
                                <div class="block">Will you get a null on a missing chunk, or a
                                    <a href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                       title="class in org.apache.poi.hsmf.exceptions"><code>ChunkNotFoundException</code></a>
                                    (default is the
                                    exception).
                                </div>
                            </li>
                        </ul>
                        <a name="setReturnNullOnMissingChunk-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setReturnNullOnMissingChunk</h4>
                                <pre>public&nbsp;void&nbsp;setReturnNullOnMissingChunk(boolean&nbsp;returnNullOnMissingChunk)</pre>
                                <div class="block">Sets whether on asking for a missing chunk,
                                    you get back null or a <a
                                            href="../../../../org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                            title="class in org.apache.poi.hsmf.exceptions"><code>ChunkNotFoundException</code></a>
                                    (default is the exception).
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/MAPIMessage.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../org/apache/poi/hsmf/MAPIMessage.MESSAGE_CLASS.html"
               title="enum in org.apache.poi.hsmf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hsmf/MAPIMessage.html" target="_top">Frames</a></li>
        <li><a href="MAPIMessage.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
